function enablePort (chkId, portId) {
    var chkObj = document.getElementById (chkId);
    if (chkObj && !chkObj.disabled && chkObj.checked) {
        fieldStateChangeWr ('', '', portId, '');
    }
    else {
        fieldStateChangeWr (portId, '', '', '');
    }
}

function attackChecksValidate () {
    var txtFieldIdArr = new Array ();
    txtFieldIdArr[0] = "txtTcpPort, Please enter a valid Number."; 
    txtFieldIdArr[1] = "txtUdpPort, Please enter a valid Number.";
    if (txtFieldArrayCheck (txtFieldIdArr) == false) {
        return false;
    }
    
    if (ipv4AddrOctetsValidate ('tblIPAddr', 'IPD', false, true, 'Invalid IP Address', 'for octet ', true) == false) {
        return false;
    }

    var txtTcpObj = document.getElementById ('txtTcpPort');
    if (numericValueRangeCheck (txtTcpObj, '', '', 1, 100, true, 'Invalid  number.', "") == false) {
        return false;
    }

    var txtUdpObj = document.getElementById ('txtUdpPort');
    if (numericValueRangeCheck (txtUdpObj , '', '', 40, 999, true, 'Invalid  number.', "") == false) {
        return false;
    }
    return true;
}

function attackChecksInit () {
    enableIpAddress (); 
    enablePort ('chkUdpFlood', 'txtUdpPort');
    enablePort ('chkTcpFlood', 'txtTcpPort');
}

function attackCheckIpv6Init () {
    var ipModeObj = document.getElementById ('hdIpMode');
    var ipModeVal = parseInt (ipModeObj.value, 10);
    if (ipModeVal == 1) {
        fieldStateChangeWr ('', 'tbAttackChekIpv6', '', '');
    }
    else {
       enableIpv6Address (); 
    }
}

function attackChecksIpv6Validate () {
    if (ipv6Validate ('txtIPAddr', false, true, '') == false) {
        return false;
    }
        
    return true;
}

function enableIpAddress () {
    var chkObj = document.getElementById ('chkRespond');
    if (chkObj && chkObj.checked) {
        fieldStateChangeWr ('', '', 'rdbIpAddress rdbAny', '');
        var selValue = radioCheckedValueGet ('AttackChecks.ExternalPingOpt');
        if (!selValue) return;
        switch (parseInt (selValue, 10)) {
            case 0:    /* Any */
                fieldStateChangeWr ('', 'tblIPAddr', '', '');
                break;
            case 1:    /* IP Address */
                fieldStateChangeWr ('', '', '', 'tblIPAddr');
        }
    }
    else {
        fieldStateChangeWr ('rdbIpAddress rdbAny', 'tblIPAddr', '', '');
    }
}

function enableIpv6Address () {
    var chkObj = document.getElementById ('chkRespond');
    if (chkObj && chkObj.checked) {
        fieldStateChangeWr ('', '', 'rdbIpAddress rdbAny', '');
        var selValue = radioCheckedValueGet ('AttackChecks6.ExternalPingOpt');
        if (!selValue) return;
        switch (parseInt (selValue, 10)) {
            case 0:    /* Any */
                fieldStateChangeWr ('txtIPAddr', '', '', '');
                break;
            case 1:    /* IP Address */
                fieldStateChangeWr ('', '', 'txtIPAddr', '');
        }
    }
    else {
        fieldStateChangeWr ('rdbIpAddress rdbAny txtIPAddr', '', '', '');
    }
}
